Gtk2::Gdk::PixbufSimpleAnim(3)

NAME
Gtk2::Gdk::PixbufSimpleAnim - wrapper for GdkPixbufSimpleAnim

HIERARCHY
  Glib::Object
  +----Gtk2::Gdk::PixbufAnimation
       +----Gtk2::Gdk::PixbufSimpleAnim

METHODS

  pixbufsimpleanim = Gtk2::Gdk::PixbufSimpleAnim->new ($width, $height, $rate)

•   $width (integer)

•   $height (integer)

•   $rate (double)

  $animation->add_frame ($pixbuf)

•   $pixbuf (Gtk2::Gdk::Pixbuf)

  boolean = $animation->get_loop
Since: gtk+ 2.18

  $animation->set_loop ($loop)

•   $loop (boolean)

Since: gtk+ 2.18

PROPERTIES

'loop' (boolean : default false : readable / writable)
    Whether the animation should loop when it reaches the end

SEE ALSO
Gtk2, Glib::Object, Gtk2::Gdk::PixbufAnimation

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.